/*
    (C) 1995-96 AROS - The Amiga Replacement OS
    $Id: labs.c,v 1.1 1996/12/12 16:07:05 aros Exp $

    Desc: ANSI C function labs()
    Lang: english
*/

/*****************************************************************************

    NAME */
#include <stdlib.h>

	long labs (

/*  SYNOPSIS */
	long j)

/*  FUNCTION
	Compute the absolute value of j.

    INPUTS
	j - A signed long

    RESULT
	The absolute value of j.

    NOTES

    EXAMPLE
	// returns 1
	labs (1L);

	// returns 1
	labs (-1L);

    BUGS

    SEE ALSO
	abs(), fabs()

    INTERNALS

    HISTORY
	12.12.1996 digulla created

******************************************************************************/
{
    return (j < 0) ? -j : j;
} /* labs */

