/*
    (C) 1995-96 AROS - The Amiga Replacement OS
    $Id: scanf.c,v 1.1 1997/01/28 15:32:33 digulla Exp $

    Desc: ANSI C function scanf()
    Lang: english
*/

/*****************************************************************************

    NAME */
#include <stdio.h>
#include <stdarg.h>

	int scanf (

/*  SYNOPSIS */
	const char * format,
	...)

/*  FUNCTION

    INPUTS

    RESULT
	The number of converted parameters

    NOTES

    EXAMPLE

    BUGS

    SEE ALSO
	fscanf(), vscanf(), vfscanf(), sscanf(), vsscanf(),
	vnsscanf()

    INTERNALS

    HISTORY
	28.01.1997 digulla created

******************************************************************************/
{
    int     retval;
    va_list args;

    va_start (args, format);

    retval = vfscanf (stdin, format, args);

    va_end (args);

    fflush (stdout);

    return retval;
} /* scanf */

